summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-office/dia
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-office/dia')
-rw-r--r--app-office/dia/Manifest2
-rw-r--r--app-office/dia/dia-0.97.3.ebuild104
-rw-r--r--app-office/dia/dia-0.97.3_pre20140417-r1.ebuild107
-rw-r--r--app-office/dia/files/dia-0.97.0-gnome-doc.patch61
-rw-r--r--app-office/dia/files/dia-0.97.2-disable-cairo.patch19
-rw-r--r--app-office/dia/files/dia-0.97.2-png-crash.patch33
-rw-r--r--app-office/dia/files/dia-0.97.2-underlinking.patch27
-rw-r--r--app-office/dia/metadata.xml13
8 files changed, 366 insertions, 0 deletions
diff --git a/app-office/dia/Manifest b/app-office/dia/Manifest
new file mode 100644
index 00000000000..06bd68b73e4
--- /dev/null
+++ b/app-office/dia/Manifest
@@ -0,0 +1,2 @@
+DIST dia-0.97.3.tar.xz 5548500 SHA256 22914e48ef48f894bb5143c5efc3d01ab96e0a0cde80de11058d3b4301377d34 SHA512 34298980be930b87cb4a636344e4cb2a7e43eedc00b0969a5e446cee9b74b616fdc8c798efcb9a5832b98741f2e20632a44037b2bcb436f59591d531ef441efa WHIRLPOOL fd6b4c92cedce399705715b9726d3f5e2570c79108c241f34afaacd54b9318e6b79e6fedcb83502b948e1eaf2157cd4429cd8ffca24a854efd3c94db4f192798
+DIST dia-0.97.3_pre20140417.tar.xz 5393236 SHA256 d9afac3b2f7bb5fa35733e24f35afd69c7b3cd04af5f6b0a806400a35b5b43db SHA512 1dbd189ca3499a5adb3c6537ffdcfc776b56fb927a3daeb266685dd4a359aa18ea9b472d12865813e823c71652f49e5739ac9d98789629a39e0cd891fe2265a6 WHIRLPOOL 28d4fcd98f853ad0dec48296a0ada9d842eb32a7953a1e11fe59fe21170be4d14e693a53e0d85c392e1b7cf4f117a3206894e3326436c5e53d115c8efb06a842
diff --git a/app-office/dia/dia-0.97.3.ebuild b/app-office/dia/dia-0.97.3.ebuild
new file mode 100644
index 00000000000..a3cf66749eb
--- /dev/null
+++ b/app-office/dia/dia-0.97.3.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+GCONF_DEBUG=yes
+GNOME2_LA_PUNT=yes
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils gnome2 python-single-r1 multilib
+
+DESCRIPTION="Diagram/flowchart creation program"
+HOMEPAGE="https://wiki.gnome.org/Apps/Dia"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+# the doc USE flag doesn't seem to do anything without docbook2html
+# cairo support is preferred as explained by upstream at:
+# https://bugzilla.gnome.org/show_bug.cgi?id=729668#c6
+IUSE="+cairo doc python"
+
+RDEPEND="
+ >=dev-libs/glib-2:2
+ dev-libs/libxml2
+ dev-libs/libxslt
+ dev-libs/popt
+ >=media-libs/freetype-2
+ >=media-libs/libart_lgpl-2
+ media-libs/libpng:0
+ sys-libs/zlib
+ x11-libs/gtk+:2
+ x11-libs/pango
+ cairo? ( x11-libs/cairo )
+ doc? (
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets )
+ python? (
+ >=dev-python/pygtk-2
+ ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-apps/sed
+ virtual/pkgconfig
+ doc? ( dev-libs/libxslt )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ DOCS="AUTHORS ChangeLog KNOWN_BUGS MAINTAINERS NEWS README RELEASE-PROCESS THANKS TODO"
+
+ epatch "${FILESDIR}"/${PN}-0.97.0-gnome-doc.patch #159381 , upstream #470812 #558690
+ epatch "${FILESDIR}"/${PN}-0.97.2-underlinking.patch #420685, upstream #678761
+
+ if use python; then
+ python_fix_shebang .
+ sed -i -e "s/\.so/$(get_libname)/" acinclude.m4 || die #298232
+ fi
+
+ if ! use doc; then
+ # Skip man generation
+ sed -i -e '/if HAVE_DB2MAN/,/endif/d' doc/*/Makefile.am || die
+ fi
+
+ # Fix naming conflict on Darwin/OSX, upstream bug #723869
+ sed -i -e 's/isspecial/char_isspecial/' objects/GRAFCET/boolequation.c || die
+
+ # Upstream bug #737254
+ sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.in || die
+
+ # Upstream bug #737255
+ sed -i -e "/localedir/d" configure.in || die
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --exec-prefix makes Python look for modules in the Prefix
+ # --enable-gnome only adds support for deprecated stuff, bug #442294
+ # https://bugzilla.redhat.com/show_bug.cgi?id=996759
+ gnome2_src_configure \
+ --exec-prefix="${EPREFIX}/usr" \
+ --disable-gnome \
+ --disable-libemf \
+ $(use_enable doc db2html) \
+ $(use_with cairo) \
+ $(use_with python) \
+ --without-swig \
+ --without-hardbooks
+}
+
+src_install() {
+ gnome2_src_install
+
+ # Install second desktop file for integrated mode (bug #415495, upstream #588208)
+ sed -e 's|^Exec=dia|Exec=dia --integrated|' \
+ -e '/^Name/ s|$| (integrated mode)|' \
+ "${ED}"/usr/share/applications/dia.desktop \
+ > "${ED}"/usr/share/applications/dia-integrated.desktop || die
+}
diff --git a/app-office/dia/dia-0.97.3_pre20140417-r1.ebuild b/app-office/dia/dia-0.97.3_pre20140417-r1.ebuild
new file mode 100644
index 00000000000..e1ce54c5efe
--- /dev/null
+++ b/app-office/dia/dia-0.97.3_pre20140417-r1.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+GCONF_DEBUG=yes
+GNOME2_LA_PUNT=yes
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils gnome2 python-single-r1 multilib
+
+DESCRIPTION="Diagram/flowchart creation program"
+HOMEPAGE="https://wiki.gnome.org/Apps/Dia"
+
+SRC_URI="http://dev.gentoo.org/~pacho/gnome/${PN}-0.97.3_pre20140417.tar.xz"
+S="${WORKDIR}/${PN}-0.97.2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+# the doc USE flag doesn't seem to do anything without docbook2html
+# cairo support is preferred as explained by upstream at:
+# https://bugzilla.gnome.org/show_bug.cgi?id=729668#c6
+IUSE="+cairo doc python"
+
+RDEPEND="
+ >=dev-libs/glib-2:2
+ dev-libs/libxml2
+ dev-libs/libxslt
+ dev-libs/popt
+ >=media-libs/freetype-2
+ >=media-libs/libart_lgpl-2
+ media-libs/libpng:0
+ sys-libs/zlib
+ x11-libs/gtk+:2
+ x11-libs/pango
+ cairo? ( x11-libs/cairo )
+ doc? (
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets )
+ python? (
+ >=dev-python/pygtk-2
+ ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-apps/sed
+ virtual/pkgconfig
+ doc? ( dev-libs/libxslt )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ DOCS="AUTHORS ChangeLog KNOWN_BUGS MAINTAINERS NEWS README RELEASE-PROCESS THANKS TODO"
+
+ epatch "${FILESDIR}"/${PN}-0.97.0-gnome-doc.patch #159381 , upstream #470812 #558690
+ epatch "${FILESDIR}"/${PN}-0.97.2-underlinking.patch #420685
+ epatch "${FILESDIR}"/${PN}-0.97.2-disable-cairo.patch #509636
+ epatch "${FILESDIR}"/${PN}-0.97.2-png-crash.patch #508566
+
+ if use python; then
+ python_fix_shebang .
+ sed -i -e "s/\.so/$(get_libname)/" acinclude.m4 || die #298232
+ fi
+
+ if ! use doc; then
+ # Skip man generation
+ sed -i -e '/if HAVE_DB2MAN/,/endif/d' doc/*/Makefile.am || die
+ fi
+
+ # Fix naming conflict on Darwin/OSX, upstream bug #????
+ sed -i -e 's/isspecial/char_isspecial/' objects/GRAFCET/boolequation.c || die
+
+ sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.in || die
+
+ sed -i -e "/localedir/d" configure.in || die
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --exec-prefix makes Python look for modules in the Prefix
+ # --enable-gnome only adds support for deprecated stuff, bug #442294
+ # https://bugzilla.redhat.com/show_bug.cgi?id=996759
+ gnome2_src_configure \
+ --exec-prefix="${EPREFIX}/usr" \
+ --disable-gnome \
+ --disable-libemf \
+ $(use_enable doc db2html) \
+ $(use_with cairo) \
+ $(use_with python) \
+ --without-swig \
+ --without-hardbooks
+}
+
+src_install() {
+ gnome2_src_install
+
+ # Install second desktop file for integrated mode (bug #415495)
+ sed -e 's|^Exec=dia|Exec=dia --integrated|' \
+ -e '/^Name/ s|$| (integrated mode)|' \
+ "${ED}"/usr/share/applications/dia.desktop \
+ > "${ED}"/usr/share/applications/dia-integrated.desktop || die
+}
diff --git a/app-office/dia/files/dia-0.97.0-gnome-doc.patch b/app-office/dia/files/dia-0.97.0-gnome-doc.patch
new file mode 100644
index 00000000000..63e13deaf22
--- /dev/null
+++ b/app-office/dia/files/dia-0.97.0-gnome-doc.patch
@@ -0,0 +1,61 @@
+From 9d40692b695b30f80b263814bdd351c0dbe67733 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Mon, 18 May 2009 22:19:35 +0200
+Subject: [PATCH] Fix compilation in a gnome environment, gentoo bug #159831
+
+---
+ configure.in | 19 +++++++++++--------
+ 1 files changed, 11 insertions(+), 8 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index d27ee6e..d9c0bf4 100644
+--- a/configure.in
++++ b/configure.in
+@@ -110,17 +110,19 @@ if test "$have_libart" = "yes" ; then
+ fi
+
+ AC_MSG_CHECKING([whether GNOME specific code should be used])
+-AC_ARG_ENABLE(gnome,[ --enable-gnome enable gnome code],
+- GNOME=$enableval, GNOME=no)
+-if test "$GNOME" = "yes" ; then
++AC_ARG_ENABLE(gnome,
++ AC_HELP_STRING([--enable-gnome],[enable gnome code]),,
++ enable_gnome=no)
++if test "x$enable_gnome" = "xyes" ; then
+ GTK_MODULES="$GTK_MODULES libgnome-2.0 libgnomeui-2.0"
+ AC_DEFINE(GNOME,1,[Define if building with GNOME support])
++ AC_DEFINE(HAVE_GNOME,1,[Define if building with GNOME support])
+ AC_DEFINE_UNQUOTED(GNOME_ICONDIR, "${prefix}/share/pixmaps", [GNOME icon directory])
+- have_gnome=true
++ have_gnome=yes
+ else
+- have_gnome=false
++ have_gnome=no
+ fi
+-AM_CONDITIONAL(HAVE_GNOME, $have_gnome)
++AM_CONDITIONAL(HAVE_GNOME, [test "x$have_gnome" != "xno"])
+ AC_MSG_RESULT($GNOME)
+
+ dnl GTK2: libgnomecanvas-2.0 ?
+@@ -129,7 +131,8 @@ PKG_CHECK_MODULES(GTK,$GTK_MODULES)
+ AC_SUBST(GTK_CFLAGS)
+ AC_SUBST(GTK_LIBS)
+
+-AM_CONDITIONAL(HAVE_BONOBO,false)
++#AM_CONDITIONAL(HAVE_BONOBO,false)
++AM_CONDITIONAL(HAVE_BONOBO,[test "true" = "false"])
+
+ dnl Look for Cairo
+ AC_ARG_WITH(cairo,
+@@ -627,7 +630,7 @@ Configuration:
+ Source code location: ${srcdir}
+ Compiler: ${CC}
+
+- Gnome support: ${GNOME}
++ Gnome support: ${have_gnome}
+ Python support: ${with_python}
+ Libart support (PNG export): ${have_libart}
+ Cairo support (PNG, PDF, print): ${with_cairo}
+--
+1.6.3
+
diff --git a/app-office/dia/files/dia-0.97.2-disable-cairo.patch b/app-office/dia/files/dia-0.97.2-disable-cairo.patch
new file mode 100644
index 00000000000..da07337825e
--- /dev/null
+++ b/app-office/dia/files/dia-0.97.2-disable-cairo.patch
@@ -0,0 +1,19 @@
+--- plug-ins/cairo/Makefile.am.orig 2014-05-06 14:09:36.080876942 -0400
++++ plug-ins/cairo/Makefile.am 2014-05-06 14:11:21.043041750 -0400
+@@ -1,11 +1,14 @@
+-
++if WITH_CAIRO
+ plugin_sources = \
+ diacairo.c \
+ diacairo.h \
+ diacairo-interactive.c \
+ diacairo-renderer.c \
+ diacairo-print.c \
+- diacairo-print.h
++ diacairo-print.h
++else
++plugin_sources =
++endif
+
+ pkglib_LTLIBRARIES = libcairo_filter.la
+
diff --git a/app-office/dia/files/dia-0.97.2-png-crash.patch b/app-office/dia/files/dia-0.97.2-png-crash.patch
new file mode 100644
index 00000000000..1dfc072c1c5
--- /dev/null
+++ b/app-office/dia/files/dia-0.97.2-png-crash.patch
@@ -0,0 +1,33 @@
+From 8b8ae09fcc16cc0522679099728f779e291d959c Mon Sep 17 00:00:00 2001
+From: Hans Breuer <hans@breuer.org>
+Date: Fri, 18 Apr 2014 13:28:45 +0200
+Subject: Bug 728405 - back-port some bounding box calculation fixes from
+ master
+
+... so that the unit test works without complaints.
+
+diff --git a/lib/boundingbox.c b/lib/boundingbox.c
+index fd50da7..46adbfa 100644
+--- a/lib/boundingbox.c
++++ b/lib/boundingbox.c
+@@ -494,7 +494,7 @@ polybezier_bbox(const BezPoint *pts, int numpoints,
+ account with the "pointy corners" X (and PS) add when LINEJOIN_MITER mode is
+ in force. */
+
+- if ((!start) && (!end)) { /* We have a non-extremity vertex. */
++ if (!end) { /* only the last segment might not produce overshoot. */
+ Point vpx,vxn;
+ real co,alpha;
+
+@@ -515,7 +515,7 @@ polybezier_bbox(const BezPoint *pts, int numpoints,
+ real overshoot;
+ Point vovs,pto;
+
+- if (finite(alpha))
++ if (alpha > 0.0 && alpha < M_PI)
+ overshoot = extra->middle_trans / sin(alpha/2.0);
+ else /* prependicular? */
+ overshoot = extra->middle_trans;
+--
+cgit v0.10.1
+
diff --git a/app-office/dia/files/dia-0.97.2-underlinking.patch b/app-office/dia/files/dia-0.97.2-underlinking.patch
new file mode 100644
index 00000000000..903e077f23f
--- /dev/null
+++ b/app-office/dia/files/dia-0.97.2-underlinking.patch
@@ -0,0 +1,27 @@
+From 2f853bab67b087605a10f544a7df780ac98b8583 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <gentoo@mgorny.alt.pl>
+Date: Sat, 7 Jul 2012 17:28:59 +0200
+Subject: [PATCH] Fix missing linkage with gmodule-2.0.
+
+Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=678761
+Fixes: https://bugs.gentoo.org/show_bug.cgi?id=420685
+---
+ dia-0.97.2/configure.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/dia-0.97.2/configure.in b/dia-0.97.2/configure.in
+index 72830de..6b7394a 100644
+--- a/dia-0.97.2/configure.in
++++ b/dia-0.97.2/configure.in
+@@ -55,7 +55,7 @@ AC_SUBST(GMODULE_CFLAGS)
+ AC_SUBST(GMODULE_LIBS)
+ AC_PATH_PROG(GLIB_GENMARSHAL, glib-genmarshal)
+
+-GTK_MODULES="gtk+-2.0 >= 2.6.0 glib-2.0 >= 2.6.0 libxml-2.0 gdk-pixbuf-2.0 gthread-2.0"
++GTK_MODULES="gtk+-2.0 >= 2.6.0 glib-2.0 >= 2.6.0 libxml-2.0 gdk-pixbuf-2.0 gthread-2.0 gmodule-2.0"
+ PKG_CHECK_MODULES(PANGOVERSION, pango >= 1.8.0, ,
+ AC_MSG_ERROR([Need Pango version 1.8.0 or higher]))
+
+--
+1.7.11.1
+
diff --git a/app-office/dia/metadata.xml b/app-office/dia/metadata.xml
new file mode 100644
index 00000000000..a257c231076
--- /dev/null
+++ b/app-office/dia/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome-office</herd>
+<longdescription>
+ Dia is a gtk+ based diagram creation program. It can be used to
+ draw many different kinds of diagrams. It currently has special
+ objects to help draw entity relationship diagrams, UML diagrams,
+ flowcharts, network diagrams, and simple circuits. It is also
+ possible to add support for new shapes by writing simple XML
+ files, using a subset of SVG to draw the shape.
+</longdescription>
+</pkgmetadata>